Migipedia Reactions API

migros/reactions

Migros Reactions API (Migipedia)

Reactions API Public

This endpoint will serve the Reactions GraphQL API for public consumers

post
https://api.migros.ch/migros/customers/reactions/v1/public/reactions

Body

application/json

Subscription payload

GraphQLQuery

operationNamestring
querystring

GraphQL query string

variablesobject

Response

application/json

Successful operation

GraphQLResponse

dataobject
post/migros/customers/reactions/v1/public/reactions

Body

{ "query": "query LastReviews { reviews(first: 5, orderBy: { created: DESC }) { content rating } }" }
 
application/json

Reactions API GraphQL Documentation Playground

This endpoint will serve the GraphQL Playground with additional API documentation and schema information.

get
https://api.migros.ch/migros/customers/reactions/v1/reactions

Response

200

successful operation

get/migros/customers/reactions/v1/reactions
 
200

Reactions API

This endpoint will serve the Reactions GraphQL API.

post
https://api.migros.ch/migros/customers/reactions/v1/reactions

Body

application/json

Subscription payload

GraphQLQuery

operationNamestring
querystring

GraphQL query string

variablesobject

Response

application/json

Successful operation

GraphQLResponse

dataobject
post/migros/customers/reactions/v1/reactions

Body

{ "query": "query LastReviews { reviews(first: 5, orderBy: { created: DESC }) { content rating } }" }
 
application/json

public

Public API endpoints